
include(../plugins.pri)

# Input
HEADERS += DebuggerCoreBase.h X86Breakpoint.h
FORMS +=
SOURCES += DebuggerCoreBase.cpp X86Breakpoint.cpp

unix:linux-* {
	SOURCES += DebuggerCoreUNIX.cpp DebuggerCoreLinux.cpp 
	HEADERS += DebuggerCoreUNIX.h DebuggerCoreLinux.h
}

unix:openbsd-* {
	SOURCES += DebuggerCoreUNIX.cpp DebuggerCoreOpenBSD.cpp 
	HEADERS += DebuggerCoreUNIX.h DebuggerCoreOpenBSD.h
}

macx {
	SOURCES += DebuggerCoreUNIX.cpp DebuggerCoreOSX.cpp
	HEADERS += DebuggerCoreUNIX.h DebuggerCoreOSX.h
}

win32 {
	SOURCES += DebuggerCoreWindows.cpp
	HEADERS += DebuggerCoreWindows.h
}
